%global momorel 1
%define reldir 36879

Summary: gettext extention for Ruby
Name: ruby-gettext-package
Version: 1.91.0
Release: %{momorel}m%{?dist}
License: GPL or Ruby
Group: Applications/Text
URL: http://ponx.s5.xrea.com/hiki/ruby-gettext.html

Source0: http://rubyforge.org/frs/download.php/%{reldir}/ruby-gettext-package-%{version}.tar.gz 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: ruby-rdtool
BuildRequires: ruby-devel >= 1.8.6-4m

Requires: ruby >= 1.8.6-4m
Obsoletes: ruby-gettext
Obsoletes: ruby-locale

%description
Ruby GetText Package is Native Language Support Library and Tools which
modeled after GNU gettext package.

%prep
%setup -q

%build
ruby setup.rb config \
    --prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --libdir=%{_libdir} \
    --datadir=%{_datadir} \
    --mandir=%{_mandir} \
    --siteruby=%{ruby_sitedir} \
    --siterubyver=%{ruby_sitelibdir} \
    --siterubyverarch=%{ruby_sitearchdir}
ruby setup.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

ruby setup.rb install \
    --prefix=%{buildroot}

for f in `find %{buildroot}%{ruby_sitelibdir}/gettext -name \*.rb | sort` ; do
	%{__sed} -i -e '/^#!/d' $f
done

%find_lang rails
%find_lang rgettext
%{__cat} *.lang >> %{name}.lang

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-   ,root,root)
%doc COPYING ChangeLog NEWS README samples test
%{_bindir}/*
%{ruby_sitelibdir}/gettext.rb
%{ruby_sitelibdir}/gettext/
%{ruby_sitelibdir}/locale.rb
%{ruby_sitelibdir}/locale/

%changelog
* Sat Jun 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.91.0-1m)
- update to 1.91.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.0-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-3m)
- %%NoSource -> NoSource

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.9.0-2m)
- rebuild against ruby-1.8.6-4m

* Wed Feb 28 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.9.0-1m)
- up to 1.9.0

* Wed Sep  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-1m)
- version up

* Tue Aug  9 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (0.9.0-1m)
- new version

* Tue Jun 28 2005 Toru Hoshina <t@momonga-linux.org>
- (0.8.0-2m)
- /usr/lib/ruby

* Sat Nov  6 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.0-1m)

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6.1-1m)

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.3-1m)
- version 0.5.3.

* Tue Nov 18 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.2-1m)

* Sat Oct 18 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.5.0-1m)
- update to 0.5.0
- remove BuildArch: noarch

* Tue Aug  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.1-5m)
- rebuild against ruby-1.8

* Mon Aug 19 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (0.2.1-4m)
- Format RDs to HTML.
- Dual license(GPL/Ruby).

* Mon Jul 08 2002 Kenta MURATA <muraken2@nifty.com>
- (0.2.1-3m)
- include docs directory.

* Thu Apr 18 2002 Toru Hoshina <t@kondara.org>
- (0.2.1-2k)
- ruby-locale and ruby-gettext is obsolete.

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Thu Jun 23 2000 Daisuke Sato <d@kondara.org>
- 1st release.
